                 /*ͻ
                  C Easy sample2.c: File Editing  
                 */

#include "\ceasy\ceasy1.h"       // required C Easy header files
#include "\ceasy\ceasy2.h"

#define width   50               // width of screen edit window
#define height  10               // height of screen edit window
#define line     8               // top line of screen edit window
#define column  15               // left column of screen edit window
#define windows 12               // number of edit windows allocated in memory

char *browsearea;                // pointer to browse area in memory

main()
{
 FILE *fptr;

 start_program ();               // required
 initialize ();                  // screen colors & memory initialization

//--------------------- ADDED TO SAMPLE1.C------------------------------------

 if ( (fptr = xopen( "sample2.txt", "r" ) ) != NULL )
  {
   fclose(fptr);
   read_text ( "sample2.txt ",      // reads text file if it exists
                browsearea,         // points to browse area in memory
                width,              // text line & window width
                windows*height );   // maximum number of lines to read
  }
//----------------------------------------------------------------------------

 browse ( browsearea,            // points to browse area in memory
          windows*height*width,  // size of browse are in memory
          width,                 // width of screen window
          height,                // height of screen window
          line,                  // top line of screen window
          column );              // left column of screen window

//--------------------- ADDED TO SAMPLE1.C------------------------------------

 write_text ( "sample2.txt",     // writes browse area to text file
             browsearea,         // points to browse area (buffer) in memory
             width,              // text line & window width
             windows*height);    // maximum number of lines to write

//----------------------------------------------------------------------------

 stop_program (0);
 return;                         // to inhibit warning message
}

int initialize()
{
 clear_screen ( BKGND_CYAN,      // clear screen to cyan background
                FGND_YELLOW );
 BKGND_WINDOW = BKGND_GRAY   ;   // background color for window
 FGND_WINDOW  = FGND_RED     ;   // foreground color for window
 FRAME_TYPE   = DOUBLE_LINE  ;   // window frame double line (not single)
 BKGND_FRAME  = BKGND_GRAY   ;   // backgound color for window frame
 FGND_FRAME   = FGND_RED     ;   // foregound color for window frame
 SHADOW_TYPE  = RIGHT_SHADOW ;   // frame shadow on right (not left)
 BKGND_SHADOW = BKGND_BLACK  ;   // frame shadow color
 BKGND_TIME   = BKGND_CYAN   ;   // background color for time display

 if (( browsearea = Malloc( windows*height*width )) == NULL )
  {
   display_error ( "Cannot malloc memory", NULL );
   stop_program (-1);
  }

 erase ( browsearea,             // pointer to browse area
         windows*height*width ); // size of browse area

 enable_time( 'C', SL, 66 );     // enable mouse and display time
 return (0);
}
